@echo off

REM <Vista/7>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop
IF EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <2000/XP>
IF NOT EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\デスクトップ
IF NOT EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\スタート メニュー\プログラム
IF NOT EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\スタート メニュー\プログラム\スタートアップ

ECHO.
ECHO ###　NANS21V　インストール　開始 ###
ECHO.

:CHECK
ECHO.
ECHO ■旧バージョンのNANS21Vをチェックします。
ECHO.
VER | find "Version 6.2." > nul
IF not errorlevel 1 GOTO Win_8

VER | find "Version 6.3." > nul
IF not errorlevel 1 GOTO Win_8 

REM Windows8以前
reg query HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{4FA3C005-1BFE-47E7-8173-112D26E71D4F} > nul 2>&1
if ERRORLEVEL 1 goto INST
goto UNINST
 
:win_8
REM Windows8
reg query HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\{4FA3C005-1BFE-47E7-8173-112D26E71D4F} > nul 2>&1
if ERRORLEVEL 1 goto INST

:UNINST
ECHO.
ECHO ■旧バージョンのNANS21Vをアンインストールします。
ECHO.

ECHO アンインストール実行中．．．
ECHO.
MsiExec.exe /qr /x{4FA3C005-1BFE-47E7-8173-112D26E71D4F}
ECHO アンインストール完了
ECHO.

:INST
ECHO.
ECHO ■新バージョンのNANS21Vをインストールします。
ECHO.

for /f "usebackq" %%f in (`dir C:\バックアップ\Install\*.msi /B /OD`) do set MSI=%%f
C:\バックアップ\Install\%MSI% /qb+

:END
ECHO.
ECHO ###　NANS21V　インストール　終了 ###
ECHO.
ECHO エラーメッセージが出力されていないことをご確認ください。
ECHO (エラーが出力された場合はNISHIに問合せください。)
ECHO.
PAUSE
